package de.intevation.flys.artifacts.model;


public class DBLayerInfo extends LayerInfo {

    protected String filter;


    public DBLayerInfo(
        String name,
        String type,
        String filter,
        String data,
        String title)
    {
        this(name, type, filter, data, title, null, null);
    }


    public DBLayerInfo(
        String name,
        String type,
        String filter,
        String data,
        String title,
        String group,
        String groupTitle
    ) {
        super(name, type, null, data, group, groupTitle, title);
        this.filter = filter;
    }


    public String getFilter() {
        return filter;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
